> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.itemchangedeventargs.md).

# ItemChangedEventArgs

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides data for the [ItemChanged](/api/wisej.web/data-binding/wisej.web.currencymanager.md#itemchanged) event.

{% tabs %}
{% tab title="C#" %}

```csharp
public class ItemChangedEventArgs : EventArgs
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class ItemChangedEventArgs
    Inherits EventArgs
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Index

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the position of the item being changed within the list.

## Used By

| Name                                                                                        | Description                                                                                                                                                                                                                    |
| ------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| [ItemChangedEventHandler](/api/wisej.web/data-binding/wisej.web.itemchangedeventhandler.md) | Represents the method that will handle the [ItemChanged](/api/wisej.web/data-binding/wisej.web.currencymanager.md#itemchanged) event of the [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md) class. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.itemchangedeventargs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
